UG NX二次开发 获得工作部件的信息并写入信息窗口 VB.NET

1、简介

获得工作部件的信息并写入信息窗口,代码可在操作记录中直接运行(NX9.0测试)。

2、代码

'NXJournaling.com
'NXOpen ListingWindow
'write to text file example 写入文本文档的例子
 
Option Strict Off
Imports System
Imports NXOpen
 
Module Module1
 
    Sub Main()
 
        Dim theSession As Session = Session.GetSession()
        Dim workPart As Part = theSession.Parts.Work
        Dim lw As ListingWindow = theSession.ListingWindow
        Dim myDocs As String
        myDocs = Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments)
        Dim outputFile As String = IO.Path.Combine(myDocs, "test.log")
 
        'get information about current work part 得到关于工作部件的信息
        Dim fileName As String = IO.Path.GetFileName(workPart.FullPath)
        Dim fileNameNoExt As String = IO.Path.GetFileNameWithoutExtension(workPart.FullPath)
        Dim parentFolder As String = IO.Path.GetDirectoryName(workPart.FullPath)
        Dim root As String = IO.Path.GetPathRoot(workPart.FullPath)
 
        '***** comment out this section to append to existing file *****
        'does file already exist? if so, delete it 判断文件是否存在
        If IO.File.Exists(outputFile) Then
            Try
                IO.File.Delete(outputFile)
            Catch ex As Exception
                MsgBox(ex.Message, MsgBoxStyle.OkOnly, "Error deleting file:")
            End Try
        End If
        '***** end of section *****
 
        'use listing window to write to file and window
        lw.SelectDevice(ListingWindow.DeviceType.FileAndWindow, outputFile)
        lw.Open()
 
        'write information to listing window
        lw.WriteLine("full path: " & workPart.FullPath)
        lw.WriteLine(New String("-", ("full path: " & workPart.FullPath).Length))
        lw.WriteLine("file name: " & fileName)
        lw.WriteLine("file name w/o extension: " & fileNameNoExt)
        lw.WriteLine("parent folder: " & parentFolder)
        lw.WriteLine("root folder: " & root)
        lw.WriteLine("")
        
 
        lw.Close()
        'flush file buffer by changing listing window device
        lw.SelectDevice(ListingWindow.DeviceType.Window, "")
 
    End Sub
 
End Module

  • 0
    点赞
  • 2
    收藏
    觉得还不错? 一键收藏
  • 打赏
    打赏
  • 1
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论 1
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包

打赏作者

UG NXOpen学徒

你的鼓励将是我创作的最大动力

¥1 ¥2 ¥4 ¥6 ¥10 ¥20
扫码支付:¥1
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值